Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.ant.utils
Interface ServerProxy

All Known Implementing Classes:
  ServerProxyImpl

    public interface ServerProxy

Method Summary
`void` | `addWebApplication(WebApplicationProxy webApp, int scanIntervalSeconds)` Adds a new web application to this server.
`java.lang.Object` | `getProxiedObject()`
`void` | `start()` Starts this server.

Method Detail

### addWebApplication

    void addWebApplication(WebApplicationProxy webApp,
                           int scanIntervalSeconds)

  Adds a new web application to this server.

  Parameters:
    `webApp` - a WebApplicationProxy object.
    `scanIntervalSeconds` -

### start

    void start()

  Starts this server.

### getProxiedObject

    java.lang.Object getProxiedObject()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.